From 8a2e1006b3b272126332aa064f3ad95387129544 Mon Sep 17 00:00:00 2001
From: Biswakalyan Bhuyan <biswa@surgot.in>
Date: Thu, 13 Feb 2025 14:13:49 +0530
Subject: new dot files

---
 .local/bin/opout | 13 +++++++++++++
 1 file changed, 13 insertions(+)
 create mode 100755 .local/bin/opout

(limited to '.local/bin/opout')

diff --git a/.local/bin/opout b/.local/bin/opout
new file mode 100755
index 0000000..d2b447a
--- /dev/null
+++ b/.local/bin/opout
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# opout: "open output": A general handler for opening a file's intended output,
+# usually the pdf of a compiled document.  I find this useful especially
+# running from vim.
+
+basename="${1%.*}"
+
+case "${*}" in
+	*.tex|*.sil|*.m[dse]|*.[rR]md|*.mom|*.[0-9]) target="$(getcomproot "$1" || echo "$1")" ; setsid -f xdg-open "${target%.*}".pdf >/dev/null 2>&1 ;;
+	*.html) setsid -f "$BROWSER" "$basename".html >/dev/null 2>&1 ;;
+	*.sent) setsid -f sent "$1" >/dev/null 2>&1 ;;
+esac
-- 
cgit v1.2.3-59-g8ed1b